Bug 983514 - [AMQP 1.0] sending message with priority=4 causes buffer overflow in client
[AMQP 1.0] sending message with priority=4 causes buffer overflow in client
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Zdenek Kraus
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-07-11 07:03 EDT by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-qmf-0.22-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4985 None None None Never

  None (edit)
Description Gordon Sim 2013-07-11 07:03:29 EDT
Description of problem:

Sending message with priority=4 over AMQP 1.0 causes buffer overflow and crashes client.

Version-Release number of selected component (if applicable):

qpid 0.22

How reproducible:

100%

Steps to Reproduce:
1.  qpid-send --conection-options {protocol:amqp1.0} --priority 1 --address amq.fanout

Actual results:

Client crashes

Expected results:

Client doesn't crash, but sends message of required priority to the specified address

Additional info:
Comment 1 Gordon Sim 2013-07-11 08:02:38 EDT
Fixed upstream: https://svn.apache.org/r1502192
Comment 2 Zdenek Kraus 2014-02-06 09:34:41 EST
This issue was tested on RHEL 6.5 x86_64 and i686 with following packages:

perl-qpid-0.22-7.el6
python-qpid-0.22-10.el6
python-qpid-qmf-0.22-26.el6
qpid-cpp-client-0.22-33.el6
qpid-cpp-client-devel-0.22-33.el6
qpid-cpp-client-devel-docs-0.22-33.el6
qpid-cpp-client-ssl-0.22-33.el6
qpid-cpp-debuginfo-0.22-33.el6
qpid-cpp-server-0.22-33.el6
qpid-cpp-server-devel-0.22-33.el6
qpid-cpp-server-ha-0.22-33.el6
qpid-cpp-server-ssl-0.22-33.el6
qpid-cpp-server-store-0.22-33.el6
qpid-cpp-server-xml-0.22-33.el6
qpid-java-client-0.22-5.el6
qpid-java-common-0.22-5.el6
qpid-java-example-0.22-5.el6
qpid-jca-0.22-1.el6
qpid-jca-xarecovery-0.22-1.el6
qpid-proton-c-0.6-1.el6
qpid-proton-c-devel-0.6-1.el6
qpid-proton-debuginfo-0.6-1.el6
qpid-qmf-0.22-26.el6
qpid-qmf-debuginfo-0.22-26.el6
qpid-snmpd-1.0.0-15.el6
qpid-snmpd-debuginfo-1.0.0-15.el6
qpid-tools-0.22-7.el6
ruby-qpid-qmf-0.22-26.el6


Issue was fixed.
-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.